Skip to main content
`Ctrl`+`K`

# PetscDAEnsembleGetSqrtType

Retrieves the current square-root implementation configured for analysis.

## Synopsis

    PetscErrorCode PetscDAEnsembleGetSqrtType(PetscDA da, PetscDASqrtType *type)

Not Collective

## Input Parameters

- da - the `PetscDA` object

## Output Parameter

- type - on output, the configured `PetscDASqrtType`

## See Also

PetscDA: Data Assimilation, `PetscDA`, `PETSCDAETKF`, `PETSCDALETKF`, `PetscDAEnsembleSetSqrtType()`

## Level

advanced

## Location

src/ml/da/impls/ensemble/daensemble.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages